/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

#ifndef MY_PICTURE_VIEW_H
#include "MyPictureView.h"
#endif


MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
	BRect  viewFrame(20.0, 20.0, 120.0, 120.0);
// cut textBounds rect declaration and textBounds.x assignments
	
// create a picture view to use in the scrolling view (in place of the text view of
// previous example)
	fPictureView = new MyPictureView(viewFrame, "MyPictureView");

//	changed target from fTextView to fPictureView, and changed second from last parameter
//  from false to true (why?)
	fScrollView = new BScrollView("MyScrollView", fPictureView, B_FOLLOW_NONE, 0, true, true);
	AddChild(fScrollView);

//  The following code is all new, and demonstrates accessing a BScrollView's scroll bars.
// 	Now adjust scroll bar ranges so that their movement reflects a ratio of actual picture
//  display during scrolling. From the MyPictureView.cpp file you'll see that the picture 
//  is 200 x 200 pixels. So set the min to 0 and the max to 200 to enable the scrolling view
//  to display the entire picture, and nothing more than the picture. Try smaller max, picture
//  can't all be seen. Try larger max, can scroll beyond picture (to view white). Try larger min
//  and you cut off start of picture in the scroll view.
	BScrollBar	*scrollBar;
	
	scrollBar = fScrollView->ScrollBar(B_VERTICAL);
	scrollBar->SetRange(0.0, 200.0);
	scrollBar = fScrollView->ScrollBar(B_HORIZONTAL);
	scrollBar->SetRange(0.0, 200.0);
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(24);
}


void MyDrawView::Draw(BRect)
{
}






