/*
	MyHelloWorld.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWorld.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif
#ifndef MY_HELLO_WORLD_H
#include "MyHelloWorld.h"
#endif


main()
{	
    MyHelloApplication *myApplication;

    myApplication = new MyHelloApplication();
    myApplication->Run();
	
    delete(myApplication);
    return(0);
}

MyHelloApplication::MyHelloApplication()
		  		  : BApplication("application/x-dps-twoapps")
{
    BRect	   		aRect;
    // ****** NEW  added declaration:
	MyHelloWindow  *theWindow;
    // ****** NEW
	
    aRect.Set(20, 30, 220, 130);
    // ****** NEW  changed from fMyWindow to theWindow
    theWindow = new MyHelloWindow(aRect);	
    // ****** NEW
}



void MyHelloApplication::MessageReceived(BMessage* message)
{
	switch (message->what) {
	
		case MOVE_WINDOWS_MSG:
			BWindow  *oldWindow;
			int32    i = 0;    	

			while (oldWindow = WindowAt(i++)) { 
				oldWindow->MoveBy(30.0, 30.0);
			}
			
    		BRect			theRect;
			MyHelloWindow  	*newWindow;
			
			theRect.Set(20.0, 30.0, 220.0, 130.0);
    		newWindow = new MyHelloWindow(theRect);
			break;
	}
}